Skip to content

Update Plotline

PUT
/api/creative/timelines/{timeline_id}/plotlines/{plotline_id}

Update a plotline.

timeline_id
required
Timeline Id
string
plotline_id
required
Plotline Id
string
PlotlineUpdateRequest

PUT /timelines/{id}/plotlines/{plotline_id} body.

object
name
Any of:
string
description
Any of:
string
color
Any of:
string
entityId
Any of:
string
entityType
Any of:
string
collapsed
Any of:
boolean

Successful Response

PlotlineResponse

Single plotline response.

object
status
required
Status

Operation status

string
data
required
TimelinePlotline

Plotline data

object
id
Any of:
string
timelineId
required
Timelineid

Parent timeline ID

string
name
required
Name

Lane name

string
description
Description

Lane description

string
""
color
Color

Lane color hex

string
default: #6b7280
sortOrder
Sortorder

Display order

integer
0
entityId
Any of:
string
entityType
Any of:
string
collapsed
Collapsed

Whether lane is collapsed

boolean

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object